package com.pj.project.tb_app;

import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import com.pj.utils.sg.*;
import com.pj.project4sp.SP;

import cn.dev33.satoken.annotation.SaCheckPermission;


/**
 * Controller: tb_app -- APK管理
 * @author lbl 
 */
@RestController
@RequestMapping("/TbApp/")
public class TbAppController {

	/** 底层 Service 对象 */
	@Autowired
	TbAppService tbAppService;

	/** 增 */  
	@RequestMapping("add")
	@SaCheckPermission(TbApp.PERMISSION_CODE_ADD)
	public AjaxJson add(TbApp t){
		tbAppService.add(t);
		t = tbAppService.getById(SP.publicMapper.getPrimarykey());
		return AjaxJson.getSuccessData(t);
	}

	/** 删 */  
	@RequestMapping("delete")
	@SaCheckPermission(TbApp.PERMISSION_CODE_DEL)
	public AjaxJson delete(Long id){
		 tbAppService.delete(id);
		return AjaxJson.getSuccess();
	}
	
	/** 删 - 根据id列表 */  
	@RequestMapping("deleteByIds")
	@SaCheckPermission(TbApp.PERMISSION_CODE_DEL)
	public AjaxJson deleteByIds(){
		List<Long> ids = SoMap.getRequestSoMap().getListByComma("ids", long.class); 
		int line = SP.publicMapper.deleteByIds(TbApp.TABLE_NAME, ids);
		return AjaxJson.getByLine(line);
	}
	
	/** 改 */  
	@RequestMapping("update")
	@SaCheckPermission(TbApp.PERMISSION_CODE_EDIT)
	public AjaxJson update(TbApp t){
		tbAppService.update(t);
		return AjaxJson.getSuccess();
	}

	/** 查 - 根据id */  
	@RequestMapping("getById")
		@SaCheckPermission(TbApp.PERMISSION_CODE)
	public AjaxJson getById(Long id){
		TbApp t = tbAppService.getById(id);
		return AjaxJson.getSuccessData(t);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	@RequestMapping("getList")
		@SaCheckPermission(TbApp.PERMISSION_CODE)
	public AjaxJson getList() { 
		SoMap so = SoMap.getRequestSoMap();
		List<TbApp> list = tbAppService.getList(so.startPage());
		return AjaxJson.getPageData(so.getDataCount(), list);
	}
	
	
	
	/** 改 - 状态(0=下架,1=上架) */  
	@RequestMapping("updateStatus")
	@SaCheckPermission(TbApp.PERMISSION_CODE_EDIT)
	public AjaxJson updateStatus(Long id, Integer value){
		int line =tbAppService.updateStatus(id, value);
		return AjaxJson.getByLine(line);
	}
	
	

	
	
	

}
